# SPDX-License-Identifier: MIT
BuildArch: noarch

# No sane versionning upstream, use git clone timestamp
Version: 20200215
Release: %mkrel 1
License: ASL 2.0
URL:     https://android.googlesource.com/

%global foundry           Google
%global fontlicenses      NOTICE
%global fontdocs          *.txt

%global common_description %{expand:
The Droid font family was designed in the fall of 2006 by Ascenders Steve
Matteson, as a commission from Google to create a set of system fonts for its
Android platform. The goal was to provide optimal quality and comfort on a
mobile handset when rendered in application menus, web browsers and for other
screen text.

The family was later extended in collaboration with other designers such as
Pascal Zoghbi of 29ArabicLetters.}

%global fontfamily1       Droid Sans
%global fontsummary1      Droid Sans, a humanist sans-serif font family
%global fontpkgheader1   %{expand:
Obsoletes: google-droid-kufi-fonts < %{version}-%{release}
Suggests: font(notosans)
}
%global fonts1            DroidSans*ttf DroidKufi*ttf
%global fontsex1          DroidSansMono*ttf DroidSansFallback.ttf DroidSansHebrew.ttf
%global fontconfngs1      %{SOURCE11}
%global fontdescription1  %{expand:
%{common_description}

Droid Sans is a humanist sans serif font family designed for user interfaces and electronic communication.

The Arabic block was initially designed by Steve Matteson of Ascender under the
Droid Kufi name, with consulting by Pascal Zoghbi of 29ArabicLetters to
finalize the font family.}

%global fontfamily2       Droid Sans Mono
%global fontsummary2      Droid Sans Mono, a humanist mono-space sans-serif font family
%global fontpkgheader2    %{expand:
Suggests: font(notosansmono)
}
%global fonts2            DroidSansMono*ttf
%global fontconfngs2      %{SOURCE12}
%global fontdescription2  %{expand:
%{common_description}

Droid Sans Mono is a humanist mono-space sans serif font family designed for
user interfaces and electronic communication.}

%global fontfamily3       Droid Serif
%global fontsummary3      Droid Serif, a contemporary serif font family
%global fontpkgheader3    %{expand:
Suggests: font(notoserif)
}
%global fonts3            DroidSerif*ttf DroidNaskh*ttf
%global fontsex3          DroidNaskhUI-Regular.ttf DroidNaskh-Regular-Shift.ttf
%global fontconfngs3      %{SOURCE13}
%global fontdescription3  %{expand:
%{common_description}

Droid Serif is a contemporary serif typeface family designed for comfortable
reading on screen. Droid Serif is slightly condensed to maximize the amount of
text displayed on small screens. Vertical stress and open forms contribute to
its readability while its proportion and overall design complement its
companion Droid Sans.

The Arabic block was designed by Pascal Zoghbi of 29ArabicLetters under the
Droid Naskh name.}

%global archivename google-droid-fonts-%{version}

Source0:  %{archivename}.tar.xz
# Brutal script used to pull sources from upstream git
# Needs at least 2 Gib of space in /var/tmp
Source1:  getdroid.sh
%if %{undefined fontpkgname1}
%global fontpkgname1 google-droid-sans-fonts
%global fontpkgname2 google-droid-sans-mono-fonts
%global fontpkgname3 google-droid-serif-fonts
%endif


Source11: 65-%{fontpkgname1}.xml
Source12: 60-%{fontpkgname2}.xml
Source13: 65-%{fontpkgname3}.xml

Name:     google-droid-fonts
Summary:  A set of general-purpose font families released by Google as part of Android
Group:    System/Fonts/True type
BuildRequires: libxml2-utils
BuildRequires: fontconfig
%description
%wordwrap -v common_description

%fontpkg -a

%fontmetapkg

%prep
%setup -q -n %{archivename}

%build
%fontbuild -a

%install
%fontinstall -a

%check
#fontcheck -a

%fontfiles -a


%changelog
* Mon Apr 06 2020 ovitters <ovitters> 20200215-1.mga8
+ Revision: 1565184
- disable tests for now
- new version 20200215
- use new Fedora font macros

* Tue Feb 11 2020 umeabot <umeabot> 20100409-15.mga8
+ Revision: 1489819
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20100409-14.mga7
+ Revision: 1261189
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 20100409-13.mga6
+ Revision: 944414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20100409-12.mga5
+ Revision: 744868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20100409-11.mga5
+ Revision: 679891
- Mageia 5 Mass Rebuild

* Sat Nov 02 2013 tv <tv> 20100409-10.mga4
+ Revision: 549104
- really rebuild with fixed fontpackages-devel (w/o scriptlets)

* Sat Nov 02 2013 tv <tv> 20100409-9.mga4
+ Revision: 548802
- rebuild with fixed fontpackages-devel (w/o scriptlets)

* Sun Oct 27 2013 barjac <barjac> 20100409-8.mga4
+ Revision: 547238
- use %%patch

* Sun Oct 27 2013 barjac <barjac> 20100409-7.mga4
+ Revision: 547216
- fix for fontconfig emits more warnings with google-droid-fonts installed (mga#6919)

* Fri Oct 18 2013 umeabot <umeabot> 20100409-6.mga4
+ Revision: 505146
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20100409-5.mga3
+ Revision: 352444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 kamil <kamil> 20100409-4.mga3
+ Revision: 334529
- clean .spec

* Fri Mar 02 2012 yochenhsieh <yochenhsieh> 20100409-3.mga2
+ Revision: 216688
- Modify fontconfig rules to deal with Chinese font fallback problem (mga #751)

* Sun Mar 13 2011 dmorgan <dmorgan> 20100409-2.mga1
+ Revision: 70886
- imported package google-droid-fonts


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100409-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 25 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100409-1
— Update to upstream's latest data dump
— Add Arabic, Hebrew, Thai coverage to Sans

* Mon Sep 28 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090906-5
— Tweak the fontconfig fixing

* Sun Sep 13 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090906-4
— follow the fontpackages template more closely
- 20090906-3
— more Behdad-suggested fontconfig tweaks

* Sun Sep  7 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090906-2
— first-level CJK fixes (as suggested by Behdad in bug #517789, complete fix
   needs the rpm changes traced in bug #521697)

* Sun Sep  6 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090906-1
— upstream stealth update

* Sat Jul 25 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090320-3
— try to fit Japanese in

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 1.0.112-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.112-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.112-5
— prepare for F11 mass rebuild, new rpm and new fontpackages

* Sat Jan 31 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.112-4
⬨ fix-up fontconfig installation for sans and mono

* Fri Jan 16 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.112-3
⁉ Workaround RHEL5 rpmbuild UTF-8 handling bug
- 1.0.112-2
⁍ Convert to new naming guidelines
⁍ Do strange stuff with Sans Fallback (CJK users please check)

* Tue Dec  9 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.112-1
փ Licensing bit clarified in bug #472635
շ Fedora submission

* Sun Nov 23 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.107-1
Ϫ Initial built using “fontpackages”

